You need to log in to create posts and topics.

QuickApp pro-material compilation error

My install is fresh and unchanged. I make npm install and ng serve.

Error screenshot in attachement.


Thanks for your help


Uploaded files:
  • problem.PNG

I reported this error today myself.


The issue is the package.json defines
    "@angular/flex-layout": "^2.0.0-beta.12"
The problem is this package has a problem when using the ^ notation as indicated https://github.com/angular/flex-layout/issues/494#issuecomment-343355178
They accidentally released a rc version which is picked in favor of other versions and it is an older version that prevents npm serve from starting.
This needs to be      "@angular/flex-layout": "2.0.0-beta.12"
or it can be "@angular/flex-layout": "^5.0.0-beta.13" which  is the next release which now works when using the ^ notation since the major version number changed.

Thanks I install the 5.0.0-beta.13 and all running as expected